using System.Collections;
using System.Collections.Generic;
using UnityEngine;
namespace XenseAR {

public class SessionManager : MonoBehaviour
{
   [SerializeField] DataScriptableObject sessionData;
    // Start is called before the first frame update
    SessionDataSimulator sessionDataSimulator;

    private void Awake()
    {
        sessionDataSimulator = new SessionDataSimulator(sessionData);
    }

    void Start()
    {
        sessionDataSimulator.StartSimulate();
    }
    private void OnDestroy()
    {
        sessionDataSimulator.EndSimulate();
    }

}
}
